public class ElectrostaticObj
{
	ParticleGroup partGroup1, partGroup2;

	public ElectrostaticObj(ParticleGroup p1, ParticleGroup p2)
	{
		partGroup1 = p1;
		partGroup2 = p2;
	}
	
	public void apply()
	{
		Particle[] allParticles = partGroup2.getParticles();
		Particle particle1 = partGroup1.getCurrentParticle();
		
		for (int i=0; i<allParticles.length; i++)
		{
			particle1.interactsWith(allParticles[i]);
			particle1.collidesWith(allParticles[i]);
		}
	}
}