public class StateChange
{
	Condition[] conditions;
	int newState;
	
	public StateChange(Condition[] c, int s)
	{
		conditions = c;
		newState = s;
	}
	
	public int getState()
	{
		for (int i=0; i<conditions.length; i++)
		{
			if (!conditions[i].check())
			{ return -1; }
		}
		
		return newState;
	}
} 