import java.util.*;

public class StateChangeTemplate
{
	Vector conditionTemplates;
	int newState;
	
	public StateChangeTemplate(int ns)
	{
		conditionTemplates = new Vector();
		newState = ns;
	}
	
	public void setConditionTemplates(Vector v)
	{
		conditionTemplates = v;
	}
	
	public void addCondition(ConditionTemplate cT)
	{
		conditionTemplates.addElement(cT);
	}
	
	public StateChangeTemplate copy(int a)
	{
		StateChangeTemplate copy = new StateChangeTemplate(newState);
		Vector templates = new Vector();
		for (int i=0; i<conditionTemplates.size(); i++)
		{
			ConditionTemplate ct = 
				((ConditionTemplate)(conditionTemplates.elementAt(i))).copy(a);
		}
		copy.setConditionTemplates(templates);
		return copy; 
	}
	
	public StateChange createInstance(Vector particleGroups)
	{
		Condition[] conditions = new Condition[conditionTemplates.size()];
		for (int i=0; i<conditionTemplates.size(); i++)
		{
			conditions[i] = ((ConditionTemplate) (conditionTemplates.elementAt(i))).
								createInstance(particleGroups);
		}
		
		StateChange newStateChange = 
			new StateChange(conditions, newState);
		return newStateChange;
	}
}