public class CollisionObj
{
	ParticleGroup part1, part2;

	public CollisionObj(ParticleGroup p1, ParticleGroup p2)
	{
		part1 = p1;
		part2 = p2;
	}
	
	public void apply()
	{
		Particle[] allParticles = part2.getParticles();
		Particle particle1 = part1.getCurrentParticle();
		
		for (int i=0; i<allParticles.length; i++)
		{
			particle1.collidesWith(allParticles[i]);
		}
	}
} 