public class ConnectionObj
{
	ParticleGroup part1, part2;
	float dist;

	public ConnectionObj(ParticleGroup p1, ParticleGroup p2, float d)
	{
		part1 = p1;
		part2 = p2;
		dist = d;
	}
	
	public void apply()
	{
		Particle particle1 = part1.getCurrentParticle();
		Particle particle2 = part2.getCurrentParticle();
		particle1.connectTo(particle2, dist);
		particle2.connectTo(particle1, dist);
	}
} 