public class HingeObj
{
	Particle part1, part2, part3;
	float force;

	public HingeObj(Particle p1, Particle p2, Particle p3, float f)
	{
		part1 = p1;
		part2 = p2;
		part3 = p3;
		force = f;
	}
	
	public void apply()
	{
		part2.hinged(part1, part3, force);
		part3.hinged(part1, part2, force);
		part2.connectTo(part1, part2.getRadius() + part1.getRadius());
		part3.connectTo(part1, part1.getRadius() + part3.getRadius());
		part2.collidesWith(part3);
		part3.collidesWith(part2);
	}
}