import java.util.*;

public class ParticleGroup
{
	Vector particleTemplates;
	Vector states;
	
	Particle currentParticle;
	
	public ParticleGroup()
	{
		particleTemplates = new Vector();
		states = new Vector();
	}
	
	public ParticleGroup(Particle p, int[] s)
	{
		particleTemplates = new Vector();
		states = new Vector();
						
		setCurrentParticle(p);
	}
	
	public ParticleGroup copy(Vector particles, Vector instParticles)
	{
		Vector newPartTemp = new Vector();
		for (int i=0; i<particleTemplates.size(); i++)
		{
			ParticleTemplate pt = (ParticleTemplate) (particleTemplates.elementAt(i));
			newPartTemp.addElement(pt);
		}
		Vector newStates = new Vector();
		for (int i=0; i<states.size(); i++) 
		{
			newPartTemp.addElement(states.elementAt(i));
		}
		
		ParticleGroup newTemplate = new ParticleGroup();
		newTemplate.setParticleTemplates(newPartTemp);
		newTemplate.setParticleStates(newStates);
		
		boolean isSet = false;
		for (int i=0; i<particles.size(); i++)
		{
			if ((Particle) (particles.elementAt(i)) == currentParticle)
			{
				newTemplate.setCurrentParticle((Particle) (instParticles.elementAt(i)));
				if (instParticles.elementAt(i) != null) { isSet = true; }
			}
		}
		if (isSet)
		{
			System.out.println("TRUE "+(newTemplate.getCurrentParticle().getPosition())[2]);
			
		}
		else 
		{
			
			System.out.println("FALSE ");
			return this;
		}
		return newTemplate;
	}
	
	public void setParticleTemplates(Vector v)
	{
		particleTemplates = v;
	}
	
	public void setParticleStates(Vector v)
	{
		states = v;
	}
	
	public void addParticles(ParticleTemplate pt, int[] s)
	{
		particleTemplates.addElement(pt);
		states.addElement(s);
	}
	
	public Particle[] getParticles()
	{
		Vector pVect = new Vector();
		for (int i=0; i<particleTemplates.size(); i++)
		{
			ParticleTemplate temp = (ParticleTemplate) (particleTemplates.elementAt(i));
			Particle[] parts = temp.getMembers();
			for (int j=0; j<parts.length; j++)
			{
				//if (parts[j].checkTemplateAndState(temp, (int[]) states.elementAt(i)))
				//{
					pVect.addElement(parts[j]);
				//}
			}
		}
		
		Particle[] partGroup = new Particle[pVect.size()];
		pVect.copyInto(partGroup);
		
		return partGroup;
	}
	
	public void setCurrentParticle(Particle cp)
	{
		currentParticle = cp;
	}
	
	public Particle getCurrentParticle()
	{
		return currentParticle;
	}
}