import java.util.*;

public class ParticleGroupTemplate
{
	Vector templates;
	int currentParticle;
	
	public ParticleGroupTemplate(int cp, Vector t)
	{
		templates = t;
		currentParticle = cp;
	}
	
	public int getCurrentParticle()
	{
		return currentParticle;
	}
	
	public Vector getParticleTemplates()
	{
		return templates;
	}
	 
	public ParticleGroupTemplate copy(int a)
	{
		if (currentParticle != -1)
		{
			return new ParticleGroupTemplate(currentParticle + a, templates);
		}
		
		return new ParticleGroupTemplate(-1, templates);
	}
	
	public ParticleGroup createInstance(Vector particles, Vector particleGroupOffsets)
	{
		Particle p;
		
		if (currentParticle == -1)
		{
			p = null;
		}
		else
		{
			p = (Particle) particles.elementAt(currentParticle);
		}
	
		ParticleGroup pg = new ParticleGroup();
		pg.setParticleTemplates(templates);
		pg.setCurrentParticle(p);
		return pg;
	}
}